"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const deduplicate_array_1 = require("../utilities/deduplicate-array");
class ImportAnalyzer {
    static getExternalImportSources(typescriptProject) {
        const externalImportSources = typescriptProject.getSourceFiles()
            .reduce((externalImportSources, sourceFile) => {
            return [
                ...externalImportSources,
                ...this.getExternalImportSourcesOfFile(sourceFile),
            ];
        }, []);
        return deduplicate_array_1.deduplicateArray(externalImportSources);
    }
    static getExternalImportSourcesOfFile(sourceFile) {
        return sourceFile.getImportDeclarations()
            .filter(this.isExternalImport)
            .map(this.getImportSource);
    }
    static isExternalImport(importDeclaration) {
        return !importDeclaration.isModuleSpecifierRelative();
    }
    static getImportSource(importDeclaration) {
        return importDeclaration.getModuleSpecifier()
            .getText()
            .replace(/['"`]/g, '');
    }
}
exports.ImportAnalyzer = ImportAnalyzer;
//# sourceMappingURL=import.analyzer.js.map