import Project from 'ts-simple-ast';
export declare class AngularPackage {
    root: string;
    entryFile: string;
    outDir: string;
    packageName: string;
    isPrimary: boolean;
    typescriptCompilerOptions: {
        [option: string]: any;
    };
    angularCompilerOptions: {
        [option: string]: any;
    };
    dependencies: {
        [dependency: string]: string;
    };
    externalImportSources: Array<string>;
    typescriptProject: Project;
    setRoot(root: string): AngularPackage;
    setEntryFile(entryFile: string): AngularPackage;
    setOutDir(outDir: string): AngularPackage;
    setTypescriptCompilerOptions(typescriptCompilerOptions: {
        [options: string]: any;
    }): AngularPackage;
    setAngularCompilerOptions(angularCompilerOptions: {
        [options: string]: any;
    }): AngularPackage;
    setDependencies(customDependencies: {
        [dependency: string]: string;
    }): AngularPackage;
    asPrimaryEntry(): AngularPackage;
    asSecondaryEntry(): AngularPackage;
    init(): Promise<AngularPackage>;
    addCustomModulePaths(moduleNameWithPaths: {
        [moduleName: string]: Array<string>;
    }): void;
}
