import { OutputOptions, RollupFileOptions } from 'rollup';
export declare class RollupConfigurationBuilder {
    private readonly inputOptions;
    private readonly outputOptions;
    private outDir;
    private target;
    constructor();
    setPackageName(packageName: string): RollupConfigurationBuilder;
    setEntry(entryFile: string): RollupConfigurationBuilder;
    setTarget(target: 'fesm2015' | 'fesm5' | 'umd'): RollupConfigurationBuilder;
    setOutDir(outDir: string): RollupConfigurationBuilder;
    setDependencies(knownDependencies: {
        [dependency: string]: string;
    }, expectedDependencies: {
        [dependency: string]: string;
    }): RollupConfigurationBuilder;
    build(): {
        inputOptions: RollupFileOptions;
        outputOptions: OutputOptions;
    };
    private deriveOutFilePath;
    private deriveSourcemapFilePath;
    private isExternalModule;
    private getModuleGlobalName;
}
