export declare class TypeScriptConfigurationBuilder {
    private files;
    private typescriptCompilerOptions;
    private angularCompilerOptions;
    constructor();
    setEntry(entryFile: string, entryDir: string): TypeScriptConfigurationBuilder;
    setOutDir(outDir: string): TypeScriptConfigurationBuilder;
    setPackageName(packageName: string): TypeScriptConfigurationBuilder;
    setCompilationTarget(target: 'esm2015' | 'esm5'): TypeScriptConfigurationBuilder;
    setCustomTypescriptCompilerOptions(typescriptCompilerOptions: {
        [option: string]: any;
    }): TypeScriptConfigurationBuilder;
    setCustomAngularCompilerOptions(angularCompilerOptions: {
        [option: string]: any;
    }): TypeScriptConfigurationBuilder;
    build(): {
        compilerOptions: {
            [option: string]: any;
        };
        files: Array<string>;
        angularCompilerOptions: {
            [option: string]: any;
        };
    };
}
