"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
class AngularExternalResourcesAnalyzer {
    static getComponentDecoratorPropertyOrThrow(classDeclaration, propertyName) {
        const componentDecorator = classDeclaration.getDecoratorOrThrow('Component');
        const componentDecoratorArgument = componentDecorator.getArguments()[0] ||
            (() => { throw new Error('Component decorator does not have an argument.'); })();
        const componentDecoratorProperty = componentDecoratorArgument.getPropertyOrThrow(propertyName);
        return componentDecoratorProperty;
    }
    static getExternalResourcePath(externalResourceAssigmentValue) {
        return externalResourceAssigmentValue
            .getText()
            .replace(/['"`]/g, '');
    }
    static resolveExternalResourcePath(externalResourcePath, file) {
        return path_1.posix.isAbsolute(externalResourcePath)
            ? externalResourcePath
            : path_1.posix.join(path_1.posix.dirname(file.getFilePath()), externalResourcePath);
    }
}
exports.AngularExternalResourcesAnalyzer = AngularExternalResourcesAnalyzer;
//# sourceMappingURL=angular-external-resources.analyzer.js.map