"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_sass_1 = require("node-sass");
const nodeSassTildeImporter = require("node-sass-tilde-importer");
class SASSTransformer {
    static compileToCss(sassContent) {
        return new Promise((resolve, reject) => {
            if (sassContent.trim() === '') {
                resolve('');
            }
            else {
                node_sass_1.render({
                    data: sassContent,
                    importer: [
                        nodeSassTildeImporter
                    ],
                    outputStyle: 'expanded'
                }, (error, sassRenderResult) => {
                    if (error) {
                        reject(new Error(`SASS Compiler: ${error.message} (at ${error.line}:${error.column})`));
                        return;
                    }
                    resolve(sassRenderResult.css.toString());
                });
            }
        });
    }
}
exports.SASSTransformer = SASSTransformer;
//# sourceMappingURL=sass.transformer.js.map