"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cpx_1 = require("cpx");
function copyFiles(sourcePattern, destinationPath) {
    return new Promise((resolve, reject) => {
        cpx_1.copy(sourcePattern, destinationPath, (copyFilesError) => {
            if (copyFilesError) {
                reject(new Error(`An error occured while copying everything matching "${sourcePattern}" to "${destinationPath}". [${copyFilesError.message}]`));
                return;
            }
            resolve();
        });
    });
}
exports.copyFiles = copyFiles;
//# sourceMappingURL=copy-files.js.map