"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts_simple_ast_1 = require("ts-simple-ast");
const typescript = require("typescript");
function createTypescriptProject(entryFile) {
    const typescriptProgram = typescript.createProgram([entryFile], {});
    const sourceFilePaths = typescriptProgram.getSourceFiles()
        .filter((sourceFile) => {
        return !typescriptProgram.isSourceFileFromExternalLibrary(sourceFile) && !sourceFile.isDeclarationFile;
    })
        .map((sourceFile) => {
        return sourceFile.fileName;
    });
    const typescriptProject = new ts_simple_ast_1.default();
    typescriptProject.addExistingSourceFiles(sourceFilePaths);
    return typescriptProject;
}
exports.createTypescriptProject = createTypescriptProject;
//# sourceMappingURL=create-typescript-project.js.map